Bug 113027 - Editing F4 (Sheet - Cycle Cell Reference Types) doesn't cycle remote references with space in sheet name
Summary: Editing F4 (Sheet - Cycle Cell Reference Types) doesn't cycle remote referenc...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Formula
  Show dependency treegraph
 
Reported: 2017-10-10 05:08 UTC by John Russell
Modified: 2021-06-05 04:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example remote RC reference to sheet with space in name (7.54 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-10-10 05:08 UTC, John Russell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Russell 2017-10-10 05:08:18 UTC
Created attachment 136881 [details]
Example remote RC reference to sheet with space in name

LibreOffice Version: 5.3.1.2
Build ID: 1:5.3.1-0ubuntu2

Ubuntu 17.04 on a MacBook Retina Pro

Open a new workbook with RC Formula Syntax (Tools - Options - LibreOffice Calc - Formula Formula Options) and add a sheet with a space in the name e.g. 'Sheet 3'.

A formula containing a remote reference from the active Sheet1 to 'Sheet 3' e.g. '='Sheet 3'!R[1]C[1]' cannot be cycled between absolute and relative references by pressing F4 or selecting the command. 

Works as expected with Formula Syntax Calc A1 and Excel A1, but fails in Excel RC with error dialog: No cell references are found in the selected cells.
Comment 1 raal 2017-10-17 18:49:36 UTC
Confirmed with Version: 6.0.0.0.alpha0+
Build ID: 616f21db9e50a77b0c02dfb123f871a742f46216
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3;

and Version 4.1.0.0.alpha0+
Comment 2 QA Administrators 2019-06-05 02:53:53 UTC Comment hidden (obsolete)
Comment 3 John Russell 2019-06-05 13:31:54 UTC
Confirmed the problem persists.

Version: 6.2.4.2.0+
Build ID: libreoffice-6.2.4.2-snap1
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 QA Administrators 2021-06-05 04:26:34 UTC
Dear John Russell,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug